Subject: Re: bug#23377: 25.0.93; Completion is extremely slow for insert-char

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Apr 2016 10:21:28 +0300

> From: [email-masked] (N. Jackson)
> Cc: [email-masked]
> Date: Tue, 26 Apr 2016 22:54:33 -0300
> 
> At 09:26 +0300 on Tuesday 2016-04-26, Eli Zaretskii wrote:
> 
> >> From: [email-masked] (N. Jackson)
> >> Date: Mon, 25 Apr 2016 21:25:28 -0300
> >> 
> >> emacs -Q
> >> C-x 8 RET TAB
> >> 
> >> This takes over a minute on my Emacs before the completions buffer is
> >> displayed listing the characters. (On subsequent invocations, it's more
> >> like eight seconds.) On Emacs 24 it is effectively instantaneous.
> >
> > It takes 11 sec here on the first invocation, and is instantaneous
> > thereafter.
> 
> I just rebuilt with -O3 and no (other) configure options. (The above was
> with -O0 with checking turned on.)
> 
> With the new binary, with the recipe above, the buffer displays in six
> or seven seconds. (It takes about the same amount of time on subsequent
> invocations.) That isn't stellar, but it's not the huge problem I
> reported before, when it was taking over a minute.

So what's the consensus here: do we need an option for turning the
character display off, or don't we?